Skip to main content
`Ctrl`+`K`

# DMDAGetFieldName

Gets the names of individual field components in multicomponent vectors associated with a `DMDA`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetFieldName(DM da, PetscInt nf, const char *name[])

Not Collective; name will contain a common value

## Input Parameters

- da - the `DMDA`

- nf - field number for the `DMDA` (0, 1, … dof-1), where dof indicates the number of degrees of freedom per node within the `DMDA`

## Output Parameter

- name - the name of the field (component)

## Note

It must be called after having called `DMSetUp()`.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDASetFieldName()`, `DMDASetCoordinateName()`, `DMDAGetCoordinateName()`, `DMSetUp()`

## Level

intermediate

## Location

src/dm/impls/da/dacorn.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex49.c
src/ts/tutorials/ex14.c
src/ksp/ksp/tutorials/ex43.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages